package com.fs.wx.sop.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.wx.sop.domain.WxSopLogs;
import com.fs.wx.sop.params.WxSopLogsParam;
import com.fs.wx.sop.vo.WxSopLogsListVO;

/**
 * 个微发送记录Mapper接口
 * 
 * @author 吴树波
 * @date 2026-02-24
 */
public interface WxSopLogsMapper extends BaseMapper<WxSopLogs>{
    /**
     * 查询个微发送记录
     * 
     * @param id 个微发送记录主键
     * @return 个微发送记录
     */
    WxSopLogs selectWxSopLogsById(Long id);

    /**
     * 查询个微发送记录列表
     * 
     * @param wxSopLogs 个微发送记录
     * @return 个微发送记录集合
     */
    List<WxSopLogs> selectWxSopLogsList(WxSopLogs wxSopLogs);

    /**
     * 查询个微SOP执行记录列表（带关联信息）
     *
     * @param param 查询参数
     * @return 执行记录集合
     */
    List<WxSopLogsListVO> selectWxSopLogsListBySopId(WxSopLogsParam param);

    /**
     * 新增个微发送记录
     * 
     * @param wxSopLogs 个微发送记录
     * @return 结果
     */
    int insertWxSopLogs(WxSopLogs wxSopLogs);

    /**
     * 修改个微发送记录
     * 
     * @param wxSopLogs 个微发送记录
     * @return 结果
     */
    int updateWxSopLogs(WxSopLogs wxSopLogs);

    /**
     * 删除个微发送记录
     * 
     * @param id 个微发送记录主键
     * @return 结果
     */
    int deleteWxSopLogsById(Long id);

    /**
     * 批量删除个微发送记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWxSopLogsByIds(Long[] ids);

    @DataSource(DataSourceType.SOP)
    void batchInsertWxSopLogs(List<WxSopLogs> logsToInsert);
}
